$(() => {
let treeView; let
dataGrid;
const syncTreeViewSelection = function (treeViewInstance, value) {
if (!value) {
treeViewInstance.unselectAll();
return;
}
value.forEach((key) => {
treeViewInstance.selectItem(key);
});
};
const makeAsyncDataSource = function (jsonFile) {
return new DevExpress.data.CustomStore({
loadMode: 'raw',
key: 'ID',
load() {
return $.getJSON(`../../../../data/${jsonFile}`);
},
});
};
$('#treeBox').dxDropDownBox({
value: ['1_1'],
valueExpr: 'ID',
displayExpr: 'name',
placeholder: 'Select a value...',
showClearButton: true,
inputAttr: { 'aria-label': 'Owner' },
dataSource: makeAsyncDataSource('treeProducts.json'),
contentTemplate(e) {
const v = e.component.option('value');
const $treeView = $('<div>').dxTreeView({
dataSource: e.component.getDataSource(),
dataStructure: 'plain',
keyExpr: 'ID',
parentIdExpr: 'categoryId',
selectionMode: 'multiple',
displayExpr: 'name',
selectByClick: true,
onContentReady(args) {
syncTreeViewSelection(args.component, v);
},
selectNodesRecursive: false,
showCheckBoxesMode: 'normal',
onItemSelectionChanged(args) {
const selectedKeys = args.component.getSelectedNodeKeys();
e.component.option('value', selectedKeys);
},
});
treeView = $treeView.dxTreeView('instance');
e.component.on('valueChanged', (args) => {
const { value } = args;
syncTreeViewSelection(treeView, value);
});
return $treeView;
},
});
$('#gridBox').dxDropDownBox({
value: [3],
valueExpr: 'ID',
placeholder: 'Select a value...',
displayExpr: 'CompanyName',
showClearButton: true,
inputAttr: { 'aria-label': 'Owner' },
dataSource: makeAsyncDataSource('customers.json'),
contentTemplate(e) {
const v = e.component.option('value');
const $dataGrid = $('<div>').dxDataGrid({
dataSource: e.component.getDataSource(),
columns: ['CompanyName', 'City', 'Phone'],
hoverStateEnabled: true,
paging: { enabled: true, pageSize: 10 },
filterRow: { visible: true },
scrolling: { mode: 'virtual' },
height: 345,
selection: { mode: 'multiple' },
selectedRowKeys: v,
onSelectionChanged(selectedItems) {
const keys = selectedItems.selectedRowKeys;
e.component.option('value', keys);
},
});
dataGrid = $dataGrid.dxDataGrid('instance');
e.component.on('valueChanged', (args) => {
const { value } = args;
dataGrid.selectRows(value, false);
});
return $dataGrid;
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/23.1.5/js/dx.all.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="form">
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded TreeView</div>
<div class="dx-field-value">
<div id="treeBox"></div>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded DataGrid</div>
<div class="dx-field-value">
<div id="gridBox"></div>
</div>
</div>
</div>
</div>
</div>
</body>
</html>
#form .dx-fieldset {
height: 500px;
}
[{
"ID": 1,
"CompanyName": "Premier Buy",
"Address": "7601 Penn Avenue South",
"City": "Richfield",
"State": "Minnesota",
"Zipcode": 55423,
"Phone": "(612) 291-1000",
"Fax": "(612) 291-2001",
"Website": "http://www.nowebsitepremierbuy.com"
}, {
"ID": 2,
"CompanyName": "ElectrixMax",
"Address": "263 Shuman Blvd",
"City": "Naperville",
"State": "Illinois",
"Zipcode": 60563,
"Phone": "(630) 438-7800",
"Fax": "(630) 438-7801",
"Website": "http://www.nowebsiteelectrixmax.com"
}, {
"ID": 3,
"CompanyName": "Video Emporium",
"Address": "1201 Elm Street",
"City": "Dallas",
"State": "Texas",
"Zipcode": 75270,
"Phone": "(214) 854-3000",
"Fax": "(214) 854-3001",
"Website": "http://www.nowebsitevideoemporium.com"
}, {
"ID": 4,
"CompanyName": "Screen Shop",
"Address": "1000 Lowes Blvd",
"City": "Mooresville",
"State": "North Carolina",
"Zipcode": 28117,
"Phone": "(800) 445-6937",
"Fax": "(800) 445-6938",
"Website": "http://www.nowebsitescreenshop.com"
}, {
"ID": 5,
"CompanyName": "Braeburn",
"Address": "1 Infinite Loop",
"City": "Cupertino",
"State": "California",
"Zipcode": 95014,
"Phone": "(408) 996-1010",
"Fax": "(408) 996-1012",
"Website": "http://www.nowebsitebraeburn.com"
}, {
"ID": 6,
"CompanyName": "PriceCo",
"Address": "30 Hunter Lane",
"City": "Camp Hill",
"State": "Pennsylvania",
"Zipcode": 17011,
"Phone": "(717) 761-2633",
"Fax": "(717) 761-2334",
"Website": "http://www.nowebsitepriceco.com"
}, {
"ID": 7,
"CompanyName": "Ultimate Gadget",
"Address": "1557 Watson Blvd",
"City": "Warner Robbins",
"State": "Georgia",
"Zipcode": 31093,
"Phone": "(995) 623-6785",
"Fax": "(995) 623-6786",
"Website": "http://www.nowebsiteultimategadget.com"
}, {
"ID": 8,
"CompanyName": "EZ Stop",
"Address": "618 Michillinda Ave.",
"City": "Arcadia",
"State": "California",
"Zipcode": 91007,
"Phone": "(626) 265-8632",
"Fax": "(626) 265-8633",
"Website": "http://www.nowebsiteezstop.com"
}, {
"ID": 9,
"CompanyName": "Clicker",
"Address": "1100 W. Artesia Blvd.",
"City": "Compton",
"State": "California",
"Zipcode": 90220,
"Phone": "(310) 884-9000",
"Fax": "(310) 884-9001",
"Website": "http://www.nowebsiteclicker.com"
}, {
"ID": 10,
"CompanyName": "Store of America",
"Address": "2401 Utah Ave. South",
"City": "Seattle",
"State": "Washington",
"Zipcode": 98134,
"Phone": "(206) 447-1575",
"Fax": "(206) 447-1576",
"Website": "http://www.nowebsiteamerica.com"
}, {
"ID": 11,
"CompanyName": "Zone Toys",
"Address": "1945 S Cienega Boulevard",
"City": "Los Angeles",
"State": "California",
"Zipcode": 90034,
"Phone": "(310) 237-5642",
"Fax": "(310) 237-5643",
"Website": "http://www.nowebsitezonetoys.com"
}, {
"ID": 12,
"CompanyName": "ACME",
"Address": "2525 E El Segundo Blvd",
"City": "El Segundo",
"State": "California",
"Zipcode": 90245,
"Phone": "(310) 536-0611",
"Fax": "(310) 536-0612",
"Website": "http://www.nowebsiteacme.com"
}]
[
{
"ID": 1,
"name": "Stores",
"expanded": true
},
{
"ID": "1_1",
"categoryId": 1,
"name": "Super Mart of the West",
"expanded": true
},
{
"ID": "1_1_1",
"categoryId": "1_1",
"name": "Video Players"
},
{
"ID": "1_1_1_1",
"categoryId": "1_1_1",
"name": "HD Video Player",
"price": 220
},
{
"ID": "1_1_1_2",
"categoryId": "1_1_1",
"name": "SuperHD Video Player",
"price": 270
},
{
"ID": "1_1_2",
"categoryId": "1_1",
"name": "Televisions",
"expanded": true
},
{
"ID": "1_1_2_1",
"categoryId": "1_1_2",
"name": "SuperLCD 42",
"price": 1200
},
{
"ID": "1_1_2_2",
"categoryId": "1_1_2",
"name": "SuperLED 42",
"price": 1450
},
{
"ID": "1_1_2_3",
"categoryId": "1_1_2",
"name": "SuperLED 50",
"price": 1600
},
{
"ID": "1_1_2_4",
"categoryId": "1_1_2",
"name": "SuperLCD 55",
"price": 1750
},
{
"ID": "1_1_2_5",
"categoryId": "1_1_2",
"name": "SuperLCD 70",
"price": 4000
},
{
"ID": "1_1_3",
"categoryId": "1_1",
"name": "Monitors"
},
{
"ID": "1_1_3_1",
"categoryId": "1_1_3",
"name": "19\""
},
{
"ID": "1_1_3_1_1",
"categoryId": "1_1_3_1",
"name": "DesktopLCD 19",
"price": 160
},
{
"ID": "1_1_4",
"categoryId": "1_1",
"name": "Projectors"
},
{
"ID": "1_1_4_1",
"categoryId": "1_1_4",
"name": "Projector Plus",
"price": 550
},
{
"ID": "1_1_4_2",
"categoryId": "1_1_4",
"name": "Projector PlusHD",
"price": 750
}
]

Your search did not match any results.
Drop Down Box

Multiple Selection

If the UI component embedded into the DropDownBox allows multiple selection, synchronize the DropDownBox value with the selected items. Synchronization instructions are the same for every selection mode.

In this demo, the DataGrid's selection.mode and TreeView's selectionMode properties are used to enable multiple selection.

Backend API
Copy to CodeSandBox
Apply
Reset
<div class="dx-fieldset"> <div class="dx-field"> <div class="dx-field-label">DropDownBox with embedded TreeView</div> <div class="dx-field-value"> <dx-drop-down-box [(value)]="treeBoxValue" valueExpr="ID" displayExpr="name" placeholder="Select a value..." [showClearButton]="true" [dataSource]="treeDataSource" (onValueChanged)="onDropDownBoxValueChanged($event)" > <div *dxTemplate="let data of 'content'"> <dx-tree-view [dataSource]="treeDataSource" dataStructure="plain" keyExpr="ID" parentIdExpr="categoryId" selectionMode="multiple" showCheckBoxesMode="normal" [selectNodesRecursive]="false" displayExpr="name" [selectByClick]="true" (onContentReady)="onTreeViewReady($event)" (onItemSelectionChanged)="onTreeViewSelectionChanged($event)" > </dx-tree-view> </div> </dx-drop-down-box> </div> </div> <div class="dx-field"> <div class="dx-field-label">DropDownBox with embedded DataGrid</div> <div class="dx-field-value"> <dx-drop-down-box [(value)]="gridBoxValue" valueExpr="ID" displayExpr="CompanyName" placeholder="Select a value..." [showClearButton]="true" [dataSource]="gridDataSource" > <div *dxTemplate="let data of 'content'"> <dx-data-grid [dataSource]="gridDataSource" [columns]="['CompanyName', 'City', 'Phone']" [selection]="{ mode: 'multiple' }" [hoverStateEnabled]="true" [paging]="{ enabled: true, pageSize: 10 }" [filterRow]="{ visible: true }" [scrolling]="{ mode: 'virtual' }" [height]="345" [(selectedRowKeys)]="gridBoxValue" > </dx-data-grid> </div> </dx-drop-down-box> </div> </div> </div>
import { NgModule, Component, ViewChild, enableProdMode, } from '@angular/core'; import { BrowserModule } from '@angular/platform-browser'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { HttpClient, HttpClientModule } from '@angular/common/http'; import { lastValueFrom } from 'rxjs'; import { DxDropDownBoxModule, DxTreeViewModule, DxDataGridModule, DxTreeViewComponent, } from 'devextreme-angular'; import CustomStore from 'devextreme/data/custom_store'; if (!/localhost/.test(document.location.host)) { enableProdMode(); } @Component({ selector: 'demo-app', templateUrl: 'app/app.component.html', styleUrls: ['app/app.component.css'], }) export class AppComponent { @ViewChild(DxTreeViewComponent, { static: false }) treeView; treeDataSource: any; treeBoxValue: string[]; gridDataSource: any; gridBoxValue: number[] = [3]; constructor(http: HttpClient) { this.treeDataSource = this.makeAsyncDataSource(http, 'treeProducts.json'); this.gridDataSource = this.makeAsyncDataSource(http, 'customers.json'); this.treeBoxValue = ['1_1']; } makeAsyncDataSource(http, jsonFile) { return new CustomStore({ loadMode: 'raw', key: 'ID', load() { return lastValueFrom(http.get(`../../../../data/${jsonFile}`)); }, }); } onDropDownBoxValueChanged(e) { this.updateSelection(this.treeView && this.treeView.instance); } onTreeViewReady(e) { this.updateSelection(e.component); } updateSelection(treeView) { if (!treeView) return; if (!this.treeBoxValue) { treeView.unselectAll(); } if (this.treeBoxValue) { this.treeBoxValue.forEach(((value) => { treeView.selectItem(value); })); } } onTreeViewSelectionChanged(e) { this.treeBoxValue = e.component.getSelectedNodeKeys(); } } @NgModule({ imports: [ BrowserModule, DxTreeViewModule, DxDropDownBoxModule, HttpClientModule, DxDataGridModule, ], declarations: [AppComponent], bootstrap: [AppComponent], }) export class AppModule { } platformBrowserDynamic().bootstrapModule(AppModule);
:host .dx-fieldset { height: 500px; }
// In real applications, you should not transpile code in the browser. // You can see how to create your own application with Angular and DevExtreme here: // https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/ window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, }, meta: { 'typescript': { 'exports': 'ts', }, 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, map: { 'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', '@angular/core': 'npm:@angular/core@12.2.17', '@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17', '@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17', '@angular/forms': 'npm:@angular/forms@12.2.17', '@angular/common': 'npm:@angular/common@12.2.17', '@angular/compiler': 'npm:@angular/compiler@12.2.17', 'tslib': 'npm:tslib@2.3.1/tslib.js', 'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js', 'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@22.2.6/cjs', 'devextreme/bundles/dx.all': 'npm:devextreme@22.2.6/bundles/dx.all.js', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.1.72', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.43', 'devextreme-angular': 'npm:devextreme-angular@22.2.6', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'app': { main: './app.component.ts', defaultExtension: 'ts', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, 'rxjs': { defaultExtension: 'js', }, 'rxjs/operators': { defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', 'npm:@angular/*/package.json', 'npm:@angular/common@12.2.17/*/package.json', 'npm:rxjs@7.5.3/package.json', 'npm:rxjs@7.5.3/operators/package.json', 'npm:devextreme-angular@22.2.6/*/package.json', 'npm:devextreme-angular@22.2.6/ui/*/package.json', 'npm:devextreme-angular@22.2.6/package.json', 'npm:devexpress-diagram@2.1.72/package.json', 'npm:devexpress-gantt@4.1.43/package.json', ], }; System.config(window.config);
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/zone.js@0.13.0/dist/zone.js"></script> <script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script src="config.js"></script> <script> System.import("app").catch(console.error.bind(console)); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <demo-app>Loading...</demo-app> </div> </body> </html>
[{ "ID": 1, "CompanyName": "Premier Buy", "Address": "7601 Penn Avenue South", "City": "Richfield", "State": "Minnesota", "Zipcode": 55423, "Phone": "(612) 291-1000", "Fax": "(612) 291-2001", "Website": "http://www.nowebsitepremierbuy.com" }, { "ID": 2, "CompanyName": "ElectrixMax", "Address": "263 Shuman Blvd", "City": "Naperville", "State": "Illinois", "Zipcode": 60563, "Phone": "(630) 438-7800", "Fax": "(630) 438-7801", "Website": "http://www.nowebsiteelectrixmax.com" }, { "ID": 3, "CompanyName": "Video Emporium", "Address": "1201 Elm Street", "City": "Dallas", "State": "Texas", "Zipcode": 75270, "Phone": "(214) 854-3000", "Fax": "(214) 854-3001", "Website": "http://www.nowebsitevideoemporium.com" }, { "ID": 4, "CompanyName": "Screen Shop", "Address": "1000 Lowes Blvd", "City": "Mooresville", "State": "North Carolina", "Zipcode": 28117, "Phone": "(800) 445-6937", "Fax": "(800) 445-6938", "Website": "http://www.nowebsitescreenshop.com" }, { "ID": 5, "CompanyName": "Braeburn", "Address": "1 Infinite Loop", "City": "Cupertino", "State": "California", "Zipcode": 95014, "Phone": "(408) 996-1010", "Fax": "(408) 996-1012", "Website": "http://www.nowebsitebraeburn.com" }, { "ID": 6, "CompanyName": "PriceCo", "Address": "30 Hunter Lane", "City": "Camp Hill", "State": "Pennsylvania", "Zipcode": 17011, "Phone": "(717) 761-2633", "Fax": "(717) 761-2334", "Website": "http://www.nowebsitepriceco.com" }, { "ID": 7, "CompanyName": "Ultimate Gadget", "Address": "1557 Watson Blvd", "City": "Warner Robbins", "State": "Georgia", "Zipcode": 31093, "Phone": "(995) 623-6785", "Fax": "(995) 623-6786", "Website": "http://www.nowebsiteultimategadget.com" }, { "ID": 8, "CompanyName": "EZ Stop", "Address": "618 Michillinda Ave.", "City": "Arcadia", "State": "California", "Zipcode": 91007, "Phone": "(626) 265-8632", "Fax": "(626) 265-8633", "Website": "http://www.nowebsiteezstop.com" }, { "ID": 9, "CompanyName": "Clicker", "Address": "1100 W. Artesia Blvd.", "City": "Compton", "State": "California", "Zipcode": 90220, "Phone": "(310) 884-9000", "Fax": "(310) 884-9001", "Website": "http://www.nowebsiteclicker.com" }, { "ID": 10, "CompanyName": "Store of America", "Address": "2401 Utah Ave. South", "City": "Seattle", "State": "Washington", "Zipcode": 98134, "Phone": "(206) 447-1575", "Fax": "(206) 447-1576", "Website": "http://www.nowebsiteamerica.com" }, { "ID": 11, "CompanyName": "Zone Toys", "Address": "1945 S Cienega Boulevard", "City": "Los Angeles", "State": "California", "Zipcode": 90034, "Phone": "(310) 237-5642", "Fax": "(310) 237-5643", "Website": "http://www.nowebsitezonetoys.com" }, { "ID": 12, "CompanyName": "ACME", "Address": "2525 E El Segundo Blvd", "City": "El Segundo", "State": "California", "Zipcode": 90245, "Phone": "(310) 536-0611", "Fax": "(310) 536-0612", "Website": "http://www.nowebsiteacme.com" }]
[ { "ID": 1, "name": "Stores", "expanded": true }, { "ID": "1_1", "categoryId": 1, "name": "Super Mart of the West", "expanded": true }, { "ID": "1_1_1", "categoryId": "1_1", "name": "Video Players" }, { "ID": "1_1_1_1", "categoryId": "1_1_1", "name": "HD Video Player", "price": 220 }, { "ID": "1_1_1_2", "categoryId": "1_1_1", "name": "SuperHD Video Player", "price": 270 }, { "ID": "1_1_2", "categoryId": "1_1", "name": "Televisions", "expanded": true }, { "ID": "1_1_2_1", "categoryId": "1_1_2", "name": "SuperLCD 42", "price": 1200 }, { "ID": "1_1_2_2", "categoryId": "1_1_2", "name": "SuperLED 42", "price": 1450 }, { "ID": "1_1_2_3", "categoryId": "1_1_2", "name": "SuperLED 50", "price": 1600 }, { "ID": "1_1_2_4", "categoryId": "1_1_2", "name": "SuperLCD 55", "price": 1750 }, { "ID": "1_1_2_5", "categoryId": "1_1_2", "name": "SuperLCD 70", "price": 4000 }, { "ID": "1_1_3", "categoryId": "1_1", "name": "Monitors" }, { "ID": "1_1_3_1", "categoryId": "1_1_3", "name": "19\"" }, { "ID": "1_1_3_1_1", "categoryId": "1_1_3_1", "name": "DesktopLCD 19", "price": 160 }, { "ID": "1_1_4", "categoryId": "1_1", "name": "Projectors" }, { "ID": "1_1_4_1", "categoryId": "1_1_4", "name": "Projector Plus", "price": 550 }, { "ID": "1_1_4_2", "categoryId": "1_1_4", "name": "Projector PlusHD", "price": 750 } ]

Backend API
<template>
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded TreeView</div>
<div class="dx-field-value">
<DxDropDownBox
v-model:value="treeBoxValue"
:show-clear-button="true"
:input-attr="{ 'aria-label': 'Owner' }"
:data-source="treeDataSource"
value-expr="ID"
display-expr="name"
placeholder="Select a value..."
@value-changed="syncTreeViewSelection()"
>
<template #content="{ data }">
<DxTreeView
:data-source="treeDataSource"
:select-by-click="true"
:select-nodes-recursive="false"
data-structure="plain"
key-expr="ID"
parent-id-expr="categoryId"
selection-mode="multiple"
show-check-boxes-mode="normal"
display-expr="name"
@content-ready="treeViewContentReady($event)"
@item-selection-changed="treeViewItemSelectionChanged($event)"
/>
</template>
</DxDropDownBox>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded DataGrid</div>
<div class="dx-field-value">
<DxDropDownBox
v-model:value="gridBoxValue"
:input-attr="{ 'aria-label': 'Owner' }"
:defer-rendering="false"
:show-clear-button="true"
:data-source="gridDataSource"
display-expr="CompanyName"
value-expr="ID"
placeholder="Select a value..."
>
<template #content="{ data }">
<DxDataGrid
:height="345"
:data-source="gridDataSource"
:columns="gridColumns"
:hover-state-enabled="true"
v-model:selected-row-keys="gridBoxValue"
>
<DxSelection mode="multiple"/>
<DxPaging
:enabled="true"
:page-size="10"
/>
<DxFilterRow :visible="true"/>
<DxScrolling mode="virtual"/>
</DxDataGrid>
</template>
</DxDropDownBox>
</div>
</div>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import DxDropDownBox from 'devextreme-vue/drop-down-box';
import DxTreeView, { type DxTreeViewTypes } from 'devextreme-vue/tree-view';
import {
DxDataGrid, DxSelection, DxPaging, DxFilterRow, DxScrolling,
} from 'devextreme-vue/data-grid';
import { CustomStore } from 'devextreme-vue/common/data';
import 'whatwg-fetch';
const treeBoxValue = ref(['1_1']);
const gridBoxValue = ref([3]);
const treeDataSource = makeAsyncDataSource('treeProducts.json');
const gridDataSource = makeAsyncDataSource('customers.json');
const gridColumns = ref(['CompanyName', 'City', 'Phone']);
let treeView: DxTreeView['instance'];
function treeViewContentReady({ component }: DxTreeViewTypes.ContentReadyEvent) {
treeView = component;
syncTreeViewSelection();
}
function makeAsyncDataSource(jsonFile: string) {
return new CustomStore({
loadMode: 'raw',
key: 'ID',
load() {
return fetch(`../../../../data/${jsonFile}`)
.then((response) => response.json());
},
});
}
function syncTreeViewSelection() {
const value = treeBoxValue.value;
if (treeView) {
if (value === null) {
treeView.unselectAll();
} else {
value?.forEach((val: string) => {
treeView?.selectItem(val);
});
}
}
}
function treeViewItemSelectionChanged(e: DxTreeViewTypes.ItemSelectionChangedEvent) {
treeBoxValue.value = e.component.getSelectedNodeKeys();
}
</script>
<style scoped>
.dx-fieldset {
height: 500px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'whatwg-fetch': 'npm:whatwg-fetch@2.0.4/fetch.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.6/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.24/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/typescript@5.4.5/lib/typescript.js"></script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
[{
"ID": 1,
"CompanyName": "Premier Buy",
"Address": "7601 Penn Avenue South",
"City": "Richfield",
"State": "Minnesota",
"Zipcode": 55423,
"Phone": "(612) 291-1000",
"Fax": "(612) 291-2001",
"Website": "http://www.nowebsitepremierbuy.dx"
}, {
"ID": 2,
"CompanyName": "ElectrixMax",
"Address": "263 Shuman Blvd",
"City": "Naperville",
"State": "Illinois",
"Zipcode": 60563,
"Phone": "(630) 438-7800",
"Fax": "(630) 438-7801",
"Website": "http://www.nowebsiteelectrixmax.dx"
}, {
"ID": 3,
"CompanyName": "Video Emporium",
"Address": "1201 Elm Street",
"City": "Dallas",
"State": "Texas",
"Zipcode": 75270,
"Phone": "(214) 854-3000",
"Fax": "(214) 854-3001",
"Website": "http://www.nowebsitevideoemporium.dx"
}, {
"ID": 4,
"CompanyName": "Screen Shop",
"Address": "1000 Lowes Blvd",
"City": "Mooresville",
"State": "North Carolina",
"Zipcode": 28117,
"Phone": "(800) 445-6937",
"Fax": "(800) 445-6938",
"Website": "http://www.nowebsitescreenshop.dx"
}, {
"ID": 5,
"CompanyName": "Braeburn",
"Address": "1 Infinite Loop",
"City": "Cupertino",
"State": "California",
"Zipcode": 95014,
"Phone": "(408) 996-1010",
"Fax": "(408) 996-1012",
"Website": "http://www.nowebsitebraeburn.dx"
}, {
"ID": 6,
"CompanyName": "PriceCo",
"Address": "30 Hunter Lane",
"City": "Camp Hill",
"State": "Pennsylvania",
"Zipcode": 17011,
"Phone": "(717) 761-2633",
"Fax": "(717) 761-2334",
"Website": "http://www.nowebsitepriceco.dx"
}, {
"ID": 7,
"CompanyName": "Ultimate Gadget",
"Address": "1557 Watson Blvd",
"City": "Warner Robbins",
"State": "Georgia",
"Zipcode": 31093,
"Phone": "(995) 623-6785",
"Fax": "(995) 623-6786",
"Website": "http://www.nowebsiteultimategadget.dx"
}, {
"ID": 8,
"CompanyName": "EZ Stop",
"Address": "618 Michillinda Ave.",
"City": "Arcadia",
"State": "California",
"Zipcode": 91007,
"Phone": "(626) 265-8632",
"Fax": "(626) 265-8633",
"Website": "http://www.nowebsiteezstop.dx"
}, {
"ID": 9,
"CompanyName": "Clicker",
"Address": "1100 W. Artesia Blvd.",
"City": "Compton",
"State": "California",
"Zipcode": 90220,
"Phone": "(310) 884-9000",
"Fax": "(310) 884-9001",
"Website": "http://www.nowebsiteclicker.dx"
}, {
"ID": 10,
"CompanyName": "Store of America",
"Address": "2401 Utah Ave. South",
"City": "Seattle",
"State": "Washington",
"Zipcode": 98134,
"Phone": "(206) 447-1575",
"Fax": "(206) 447-1576",
"Website": "http://www.nowebsiteamerica.dx"
}, {
"ID": 11,
"CompanyName": "Zone Toys",
"Address": "1945 S Cienega Boulevard",
"City": "Los Angeles",
"State": "California",
"Zipcode": 90034,
"Phone": "(310) 237-5642",
"Fax": "(310) 237-5643",
"Website": "http://www.nowebsitezonetoys.dx"
}, {
"ID": 12,
"CompanyName": "ACME",
"Address": "2525 E El Segundo Blvd",
"City": "El Segundo",
"State": "California",
"Zipcode": 90245,
"Phone": "(310) 536-0611",
"Fax": "(310) 536-0612",
"Website": "http://www.nowebsiteacme.dx"
}]
[
{
"ID": 1,
"name": "Stores",
"expanded": true
},
{
"ID": "1_1",
"categoryId": 1,
"name": "Super Mart of the West",
"expanded": true
},
{
"ID": "1_1_1",
"categoryId": "1_1",
"name": "Video Players"
},
{
"ID": "1_1_1_1",
"categoryId": "1_1_1",
"name": "HD Video Player",
"price": 220
},
{
"ID": "1_1_1_2",
"categoryId": "1_1_1",
"name": "SuperHD Video Player",
"price": 270
},
{
"ID": "1_1_2",
"categoryId": "1_1",
"name": "Televisions",
"expanded": true
},
{
"ID": "1_1_2_1",
"categoryId": "1_1_2",
"name": "SuperLCD 42",
"price": 1200
},
{
"ID": "1_1_2_2",
"categoryId": "1_1_2",
"name": "SuperLED 42",
"price": 1450
},
{
"ID": "1_1_2_3",
"categoryId": "1_1_2",
"name": "SuperLED 50",
"price": 1600
},
{
"ID": "1_1_2_4",
"categoryId": "1_1_2",
"name": "SuperLCD 55",
"price": 1750
},
{
"ID": "1_1_2_5",
"categoryId": "1_1_2",
"name": "SuperLCD 70",
"price": 4000
},
{
"ID": "1_1_3",
"categoryId": "1_1",
"name": "Monitors"
},
{
"ID": "1_1_3_1",
"categoryId": "1_1_3",
"name": "19\""
},
{
"ID": "1_1_3_1_1",
"categoryId": "1_1_3_1",
"name": "DesktopLCD 19",
"price": 160
},
{
"ID": "1_1_4",
"categoryId": "1_1",
"name": "Projectors"
},
{
"ID": "1_1_4_1",
"categoryId": "1_1_4",
"name": "Projector Plus",
"price": 550
},
{
"ID": "1_1_4_2",
"categoryId": "1_1_4",
"name": "Projector PlusHD",
"price": 750
}
]
This demo uses the DataGrid's selection.mode and TreeView's selectionMode properties to enable multiple selection.

import React from 'react';
import DropDownBox from 'devextreme-react/drop-down-box';
import TreeView from 'devextreme-react/tree-view';
import DataGrid, {
Selection, Paging, FilterRow, Scrolling,
} from 'devextreme-react/data-grid';
import CustomStore from 'devextreme/data/custom_store';
import 'whatwg-fetch';
const gridColumns = ['CompanyName', 'City', 'Phone'];
const ownerLabel = { 'aria-label': 'Owner' };
class App extends React.Component {
constructor(props) {
super(props);
this.treeView = null;
this.treeDataSource = this.makeAsyncDataSource('treeProducts.json');
this.gridDataSource = this.makeAsyncDataSource('customers.json');
this.state = {
treeBoxValue: ['1_1'],
gridBoxValue: [3],
};
this.treeViewItemSelectionChanged = this.treeViewItemSelectionChanged.bind(this);
this.syncTreeViewSelection = this.syncTreeViewSelection.bind(this);
this.syncDataGridSelection = this.syncDataGridSelection.bind(this);
this.dataGridOnSelectionChanged = this.dataGridOnSelectionChanged.bind(this);
this.treeViewRender = this.treeViewRender.bind(this);
this.dataGridRender = this.dataGridRender.bind(this);
}
makeAsyncDataSource(jsonFile) {
return new CustomStore({
loadMode: 'raw',
key: 'ID',
load() {
return fetch(`../../../../data/${jsonFile}`)
.then((response) => response.json());
},
});
}
render() {
return (
<div className="dx-fieldset">
<div className="dx-field">
<div className="dx-field-label">DropDownBox with embedded TreeView</div>
<div className="dx-field-value">
<DropDownBox
value={this.state.treeBoxValue}
valueExpr="ID"
inputAttr={ownerLabel}
displayExpr="name"
placeholder="Select a value..."
showClearButton={true}
dataSource={this.treeDataSource}
onValueChanged={this.syncTreeViewSelection}
contentRender={this.treeViewRender}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">DropDownBox with embedded DataGrid</div>
<div className="dx-field-value">
<DropDownBox
value={this.state.gridBoxValue}
valueExpr="ID"
deferRendering={false}
inputAttr={ownerLabel}
displayExpr="CompanyName"
placeholder="Select a value..."
showClearButton={true}
dataSource={this.gridDataSource}
onValueChanged={this.syncDataGridSelection}
contentRender={this.dataGridRender}
/>
</div>
</div>
</div>
);
}
treeViewRender() {
return (
<TreeView dataSource={this.treeDataSource}
ref={(ref) => { this.treeView = ref; }}
dataStructure="plain"
keyExpr="ID"
parentIdExpr="categoryId"
selectionMode="multiple"
showCheckBoxesMode="normal"
selectNodesRecursive={false}
displayExpr="name"
selectByClick={true}
onContentReady={this.syncTreeViewSelection}
onItemSelectionChanged={this.treeViewItemSelectionChanged}
/>
);
}
dataGridRender() {
return (
<DataGrid
height={345}
dataSource={this.gridDataSource}
columns={gridColumns}
hoverStateEnabled={true}
selectedRowKeys={this.state.gridBoxValue}
onSelectionChanged={this.dataGridOnSelectionChanged}>
<Selection mode="multiple" />
<Scrolling mode="virtual" />
<Paging enabled={true} pageSize={10} />
<FilterRow visible={true} />
</DataGrid>
);
}
syncTreeViewSelection(e) {
const treeView = (e.component.selectItem && e.component)
|| (this.treeView && this.treeView.instance);
if (treeView) {
if (e.value === null) {
treeView.unselectAll();
} else {
const values = e.value || this.state.treeBoxValue;
values && values.forEach((value) => {
treeView.selectItem(value);
});
}
}
if (e.value !== undefined) {
this.setState({
treeBoxValue: e.value,
});
}
}
syncDataGridSelection(e) {
this.setState({
gridBoxValue: e.value || [],
});
}
treeViewItemSelectionChanged(e) {
this.setState({
treeBoxValue: e.component.getSelectedNodeKeys(),
});
}
dataGridOnSelectionChanged(e) {
this.setState({
gridBoxValue: (e.selectedRowKeys.length && e.selectedRowKeys) || [],
});
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.dx-fieldset {
height: 500px;
}
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'whatwg-fetch': 'npm:whatwg-fetch@2.0.4/fetch.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
[{
"ID": 1,
"CompanyName": "Premier Buy",
"Address": "7601 Penn Avenue South",
"City": "Richfield",
"State": "Minnesota",
"Zipcode": 55423,
"Phone": "(612) 291-1000",
"Fax": "(612) 291-2001",
"Website": "http://www.nowebsitepremierbuy.com"
}, {
"ID": 2,
"CompanyName": "ElectrixMax",
"Address": "263 Shuman Blvd",
"City": "Naperville",
"State": "Illinois",
"Zipcode": 60563,
"Phone": "(630) 438-7800",
"Fax": "(630) 438-7801",
"Website": "http://www.nowebsiteelectrixmax.com"
}, {
"ID": 3,
"CompanyName": "Video Emporium",
"Address": "1201 Elm Street",
"City": "Dallas",
"State": "Texas",
"Zipcode": 75270,
"Phone": "(214) 854-3000",
"Fax": "(214) 854-3001",
"Website": "http://www.nowebsitevideoemporium.com"
}, {
"ID": 4,
"CompanyName": "Screen Shop",
"Address": "1000 Lowes Blvd",
"City": "Mooresville",
"State": "North Carolina",
"Zipcode": 28117,
"Phone": "(800) 445-6937",
"Fax": "(800) 445-6938",
"Website": "http://www.nowebsitescreenshop.com"
}, {
"ID": 5,
"CompanyName": "Braeburn",
"Address": "1 Infinite Loop",
"City": "Cupertino",
"State": "California",
"Zipcode": 95014,
"Phone": "(408) 996-1010",
"Fax": "(408) 996-1012",
"Website": "http://www.nowebsitebraeburn.com"
}, {
"ID": 6,
"CompanyName": "PriceCo",
"Address": "30 Hunter Lane",
"City": "Camp Hill",
"State": "Pennsylvania",
"Zipcode": 17011,
"Phone": "(717) 761-2633",
"Fax": "(717) 761-2334",
"Website": "http://www.nowebsitepriceco.com"
}, {
"ID": 7,
"CompanyName": "Ultimate Gadget",
"Address": "1557 Watson Blvd",
"City": "Warner Robbins",
"State": "Georgia",
"Zipcode": 31093,
"Phone": "(995) 623-6785",
"Fax": "(995) 623-6786",
"Website": "http://www.nowebsiteultimategadget.com"
}, {
"ID": 8,
"CompanyName": "EZ Stop",
"Address": "618 Michillinda Ave.",
"City": "Arcadia",
"State": "California",
"Zipcode": 91007,
"Phone": "(626) 265-8632",
"Fax": "(626) 265-8633",
"Website": "http://www.nowebsiteezstop.com"
}, {
"ID": 9,
"CompanyName": "Clicker",
"Address": "1100 W. Artesia Blvd.",
"City": "Compton",
"State": "California",
"Zipcode": 90220,
"Phone": "(310) 884-9000",
"Fax": "(310) 884-9001",
"Website": "http://www.nowebsiteclicker.com"
}, {
"ID": 10,
"CompanyName": "Store of America",
"Address": "2401 Utah Ave. South",
"City": "Seattle",
"State": "Washington",
"Zipcode": 98134,
"Phone": "(206) 447-1575",
"Fax": "(206) 447-1576",
"Website": "http://www.nowebsiteamerica.com"
}, {
"ID": 11,
"CompanyName": "Zone Toys",
"Address": "1945 S Cienega Boulevard",
"City": "Los Angeles",
"State": "California",
"Zipcode": 90034,
"Phone": "(310) 237-5642",
"Fax": "(310) 237-5643",
"Website": "http://www.nowebsitezonetoys.com"
}, {
"ID": 12,
"CompanyName": "ACME",
"Address": "2525 E El Segundo Blvd",
"City": "El Segundo",
"State": "California",
"Zipcode": 90245,
"Phone": "(310) 536-0611",
"Fax": "(310) 536-0612",
"Website": "http://www.nowebsiteacme.com"
}]
[
{
"ID": 1,
"name": "Stores",
"expanded": true
},
{
"ID": "1_1",
"categoryId": 1,
"name": "Super Mart of the West",
"expanded": true
},
{
"ID": "1_1_1",
"categoryId": "1_1",
"name": "Video Players"
},
{
"ID": "1_1_1_1",
"categoryId": "1_1_1",
"name": "HD Video Player",
"price": 220
},
{
"ID": "1_1_1_2",
"categoryId": "1_1_1",
"name": "SuperHD Video Player",
"price": 270
},
{
"ID": "1_1_2",
"categoryId": "1_1",
"name": "Televisions",
"expanded": true
},
{
"ID": "1_1_2_1",
"categoryId": "1_1_2",
"name": "SuperLCD 42",
"price": 1200
},
{
"ID": "1_1_2_2",
"categoryId": "1_1_2",
"name": "SuperLED 42",
"price": 1450
},
{
"ID": "1_1_2_3",
"categoryId": "1_1_2",
"name": "SuperLED 50",
"price": 1600
},
{
"ID": "1_1_2_4",
"categoryId": "1_1_2",
"name": "SuperLCD 55",
"price": 1750
},
{
"ID": "1_1_2_5",
"categoryId": "1_1_2",
"name": "SuperLCD 70",
"price": 4000
},
{
"ID": "1_1_3",
"categoryId": "1_1",
"name": "Monitors"
},
{
"ID": "1_1_3_1",
"categoryId": "1_1_3",
"name": "19\""
},
{
"ID": "1_1_3_1_1",
"categoryId": "1_1_3_1",
"name": "DesktopLCD 19",
"price": 160
},
{
"ID": "1_1_4",
"categoryId": "1_1",
"name": "Projectors"
},
{
"ID": "1_1_4_1",
"categoryId": "1_1_4",
"name": "Projector Plus",
"price": 550
},
{
"ID": "1_1_4_2",
"categoryId": "1_1_4",
"name": "Projector PlusHD",
"price": 750
}
]